/*	File:	dmzcore.cpp 
	Author:	Alex Fedosov
	Date:	September 21, 2000
	Description:	DMZ core implementation, this is the main DLL file
*/

#include <windows.h>
#include "dmzcore.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}


// This is an example of an exported variable
DMZ_CORE_API int nCore=0;

// This is an example of an exported function.
DMZ_CORE_API int fnCore(void)
{
	return 42;
}
